Skip to content
Proud to collaborate with Microsoft for Startups

docusign.request-logs.put-request-log-settings ​

Enables or disables API request logging for troubleshooting. When enabled (apiRequestLogging is true), REST API requests and responses for the user are added to a log. A log can have up to 50 requests/responses and the current number of log entries can be determined by getting the settings. Logging is automatically disabled when the log limit of 50 is reached. You can call Diagnostics: getRequestLog or Diagnostics: listRequestLogs to download the log files (individually or as a zip file). Call Diagnostics: deleteRequestLogs to clear the log by deleting current entries. Private information, such as passwords and integration key information, which is normally located in the call header is omitted from the request/response log. API request logging only captures requests from the authenticated user. Any call that does not authenticate the user and resolve a userId is not logged.

Enables or disables API request logging for troubleshooting.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
apirequestloggingstringNo—When true, enables API request logging for the user.
apirequestlogmaxentriesstringNo—Specifies the maximum number of API requests to log.
apirequestlogremainingentriesstringNo—Indicates the remaining number of API requests that can be logged.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
apirequestloggingstringNo—When true, enables API request logging for the user.
apirequestlogmaxentriesstringNo—Specifies the maximum number of API requests to log.
apirequestlogremainingentriesstringNo—Indicates the remaining number of API requests that can be logged.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call PUT /v2.1/diagnostics/settings
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform PUT /v2.1/diagnostics/settings
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.request-logs.put-request-log-settings",
  "initial_data": {
    "base_url": "value"
  }
}